Package org.bukkit.material

# Class Banner

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Banner

All Implemented Interfaces:
  `Cloneable`, `Attachable`, `Directional`

@Deprecated public class Banner extends MaterialData implements Attachable
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.

## Constructor Summary

Constructors
Constructor
Description
`Banner()`
Deprecated.
`Banner(Material type)`
Deprecated.
`Banner(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Banner`
`clone()`
Deprecated.
`BlockFace`
`getAttachedFace()`
Deprecated.
Gets the face that this block is attached on
`BlockFace`
`getFacing()`
Deprecated.
Gets the direction this block is facing
`boolean`
`isWallBanner()`
Deprecated.
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction that this block is facing in
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Banner

public Banner()
Deprecated.

### Banner

public Banner(Material type)
Deprecated.

### Banner

@Deprecated public Banner(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isWallBanner

public boolean isWallBanner()
Deprecated.

### getAttachedFace

public BlockFace getAttachedFace()
Deprecated.
Description copied from interface: `Attachable`
Gets the face that this block is attached on

Specified by:
  `getAttachedFace` in interface `Attachable`
Returns:
  BlockFace attached to

### getFacing

public BlockFace getFacing()
Deprecated.
Description copied from interface: `Directional`
Gets the direction this block is facing

Specified by:
  `getFacing` in interface `Directional`
Returns:
  the direction this block is facing

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Description copied from interface: `Directional`
Sets the direction that this block is facing in

Specified by:
  `setFacingDirection` in interface `Directional`
Parameters:
  `face` - The facing direction

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Banner clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`